$( document ).ready(function() {
    var slug = function(value) {
      value = value.replace(/[áàảãạăắằẳẵặâấầẩẫậ]/ig, 'a');
      value = value.replace(/[đ]/ig, 'd');
      value = value.replace(/[éèẻẽẹêếềểễệ]/ig, 'e');
      value = value.replace(/[íìỉĩị]/ig, 'i');
      value = value.replace(/[óòỏõọôốồổỗộơớờởỡợ]/ig, 'o');
      value = value.replace(/[úùủũụưứừửữự]/ig, 'u');
      value = value.replace(/[ýỳỷỹỵ]/ig, 'y');
      value = value.replace(/[^A-Za-z0-9\s_-]/ig, '');
      value = value.replace(/\s/ig, '-');
      value = value.replace(/-\s/ig, '');
      value = value.replace(/[ - ]\s/ig, '');
      value = value.toLowerCase();
      return value;
    };
    $( "#name" ).keyup(function() {
      $( "#slug" ).val(slug($(this).val()));
    });
    $( "#name" ).mouseout(function() {
      $( "#slug" ).val(slug($(this).val()));
    });
});